petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMCopyFields

Copy the discretizations for the DM into another DM

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMCopyFields(DM dm, DM newdm)

Collective on dm

### Input Parameter

dm -The DM

### Output Parameter

newdm -The DM

### See Also

DMGetField(), DMSetField(), DMAddField(), DMCopyDS(), DMGetDS(), DMGetCellDS()

### Level

advanced

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages